## ocamlduce 3.11.2.0

=== debian/changelog ===
ocamlduce (3.11.2.0-1) unstable; urgency=low

  * New upstream release
    - remove all patches that have been merged upstream
  * Bump Standards-Version to 3.8.4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 09 Feb 2010 09:07:47 +0100

ocamlduce (3.11.1.0-3) unstable; urgency=low

  * Switch to 3.0 (quilt)
  * Add Replaces/Conflicts to previous versions of ocamlduce in
    ocamlduce-base (Closes: #553177)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 05 Nov 2009 00:18:48 +0100

ocamlduce (3.11.1.0-2) unstable; urgency=low

  * Switch packaging to dh-ocaml 0.9:
    - build and install ocamlduceobjinfo
      + add patches-ocaml/objinfo.patch
  * Put runtime files into (new) binary ocamlduce-base
  * Ship ocamlducedoc library files
  * Use /usr/share/misc/config.{sub,guess} when available to fix FTBFS
    on avr32 (Closes: #538166)
  * debian/control:
    - update my e-mail address and remove DMUA
    - update Standards-Version to 3.8.3 (no changes)
  * Update watch file

 -- Stéphane Glondu <glondu@debian.org>  Fri, 16 Oct 2009 10:55:12 +0200

ocamlduce (3.11.1.0-1) unstable; urgency=low

  * New upstream release, merged with OCaml 3.11.1
  * Update Standards-Version to 3.8.2
  * Move to section ocaml
  * Build and install native plugin:
    - add dependency to quilt
    - add Build-and-install-native-code-plugin.patch
  * Add README.source

 -- Stephane Glondu <steph@glondu.net>  Wed, 24 Jun 2009 17:22:11 +0200

ocamlduce (3.11.0.0~rc1-2) unstable; urgency=low

  * First upload to unstable
  * Use ocamlinit from dh-ocaml

 -- Stephane Glondu <steph@glondu.net>  Sat, 07 Mar 2009 19:27:31 +0100

ocamlduce (3.11.0.0~rc1-1) experimental; urgency=low

  * Initial release (Closes: #469460)

 -- Stephane Glondu <steph@glondu.net>  Tue, 20 Jan 2009 10:18:01 +0100
