=== debian/control ===
Source: ocamlduce
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 7.2.11~),
 dh-ocaml (>= 0.9.1~),
 autotools-dev,
 patch,
 ocaml-source (>= 3.11.2),
 ocaml-nox (>= 3.11.2)
Standards-Version: 3.8.4
Homepage: http://ocamlduce.forge.ocamlcore.org/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlduce.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlduce.git

Package: ocamlduce
Architecture: any
Depends:
 ocaml-interp,
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml extended with XML types
 OCamlDuce is a merger between OCaml and CDuce. It comes as a modified
 version of OCaml which integrates CDuce features: XML expressions,
 regular expression types and patterns, iterators. In particular, it
 extends OCaml with a new kind of values to represent XML documents,
 fragments, tags and Unicode strings.
 .
 OCamlDuce is binary compatible with OCaml: OCaml modules can be used
 with OCamlDuce, and OCamlDuce modules can be used with OCaml ones,
 provided they don't export a feature specifically introduced in
 OCamlDuce.
 .
 This package provides modified versions of the OCaml tools (toplevel,
 native and bytecode compilers, ocamldoc, ocamldep, ocamlfind).

Package: ocamlduce-base
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: ocamlduce (<< 3.11.1.0-2~)
Conflicts: ocamlduce (<< 3.11.1.0-2~)
Description: OCaml extended with XML types (runtime)
 OCamlDuce is a merger between OCaml and CDuce. It comes as a modified
 version of OCaml which integrates CDuce features: XML expressions,
 regular expression types and patterns, iterators. In particular, it
 extends OCaml with a new kind of values to represent XML documents,
 fragments, tags and Unicode strings.
 .
 This package provides runtime libraries of OCamlDuce.
