## ocamlduce 3.12.0.0

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 CMA := otherlibs/ocamlduce/ocamlduce.cma
 CMXA := $(CMA:.cma=.cmxa) $(CMA:.cma=.a)
+CMXS := $(CMA:.cma=.cmxs)
 
 TOPCMO := toplevel/toploop.cmo toplevel/topdirs.cmo \
   toplevel/topmain.cmo toplevel/topstart.cmo \
@@ -76,7 +77,7 @@
 installopt: installcommon-stamp
 	@echo "===> Installing native files... <==="
 	for X in $(OPT); do Y=$${X##*/}; Y=$${Y#ocaml}; install -m 755 _build/$$X $(BINDIR)/ocamlduce$$Y; done
-	install -m 644 $(addprefix _build/,$(CMXA)) $(DUCE_LIBDIR)
+	install -m 644 $(addprefix _build/,$(CMXA) $(CMXS)) $(DUCE_LIBDIR)
 
 clean:
 	build/distclean.sh
@@ -96,3 +97,39 @@
 
 
 .PHONY: all installbyte installopt clean dist prepare world world.opt
+
+SRC = \
+ misc/custom.ml \
+ misc/encodings.ml \
+ misc/imap.ml \
+ misc/state.ml \
+ misc/upool.ml \
+ misc/ns.ml \
+ types/sortedList.ml \
+ types/atoms.ml \
+ misc/bool.ml \
+ types/chars.ml \
+ types/ident.ml \
+ types/intervals.ml \
+ misc/inttbl.ml \
+ types/normal.ml \
+ misc/pretty.ml \
+ misc/stats.ml \
+ types/compunit.ml \
+ types/types.ml \
+ types/sequence.ml \
+ types/sample.ml \
+ compile/auto_pat.ml \
+ types/patterns.ml \
+ runtime/value.ml \
+ runtime/run_dispatch.ml \
+ runtime/explain.ml \
+ typing/typepat.ml \
+ runtime/serial.ml
+
+.PHONY: update-cduce
+update-cduce:
+	cd otherlibs/ocamlduce && \
+	for i in $(SRC) $(SRC:.ml=.mli); do \
+	  if test -f $(CDUCE_DIR)/$$i; then cp --remove-destination $(CDUCE_DIR)/$$i .; else :; fi \
+	done
