=== debian/changelog ===
ocamlduce (3.12.0.0-1build1) oneiric; urgency=low

  * Rebuild to pick up armel ocaml fixes.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 19 Aug 2011 13:33:39 -0600

ocamlduce (3.12.0.0-1) unstable; urgency=low

  * New upstream release:
    - compatible with OCaml 3.12.0 (Closes: #580102)
    - compatible with recent binutils (Closes: #618089)
  * Fix debian/watch
  * Install native plugin only on natdynlink architectures
  * Bump debhelper compat level to 8
  * Bump Standards-Version to 3.9.2

 -- Stéphane Glondu <glondu@debian.org>  Sun, 17 Apr 2011 11:37:54 +0200
