=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 7.2.11~),
- dh-ocaml (>= 0.9.1~),
+ debhelper (>= 8),
+ dh-ocaml (>= 1.0.0~),
  autotools-dev,
  patch,
- ocaml-source (>= 3.11.2),
- ocaml-nox (>= 3.11.2)
-Standards-Version: 3.8.4
+ ocaml-source (>= 3.12.0),
+ ocaml-nox (>= 3.12.0)
+Standards-Version: 3.9.2
 Homepage: http://ocamlduce.forge.ocamlcore.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlduce.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlduce.git
@@ -47,7 +47,7 @@
  ${misc:Depends}
 Provides: ${ocaml:Provides}
 Replaces: ocamlduce (<< 3.11.1.0-2~)
-Conflicts: ocamlduce (<< 3.11.1.0-2~)
+Breaks: ocamlduce (<< 3.11.1.0-2~)
 Description: OCaml extended with XML types (runtime)
  OCamlDuce is a merger between OCaml and CDuce. It comes as a modified
  version of OCaml which integrates CDuce features: XML expressions,
