## ocamlduce 3.12.1.0

=== debian/changelog ===
ocamlduce (3.12.1.0-1) unstable; urgency=low

  * New upstream release, compatible with OCaml 3.12.1

 -- Stéphane Glondu <glondu@debian.org>  Tue, 01 Nov 2011 20:49:37 +0100
