=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  dh-ocaml (>= 1.0.0~),
  autotools-dev,
  patch,
- ocaml-source (>= 3.12.0),
- ocaml-nox (>= 3.12.0)
+ ocaml-source (>= 3.12.1),
+ ocaml-nox (>= 3.12.1)
 Standards-Version: 3.9.2
 Homepage: http://ocamlduce.forge.ocamlcore.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlduce.git
