=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts="uversionmangle=s/rc/~rc/" \
http://forge.ocamlcore.org/frs/?group_id=75 .*/ocamlduce-(.*)\.tar\.gz
